        !COMPILER-GENERATED INTERFACE MODULE: Thu Oct 20 15:56:18 2016
        MODULE IRDSWM_mod
          INTERFACE 
            SUBROUTINE IRDSWM(LEN,JMAX,U,TEST,X,CTR)
              INTEGER(KIND=4) :: JMAX
              INTEGER(KIND=4) :: LEN
              INTEGER(KIND=4) :: U
              INTEGER(KIND=4) :: TEST
              INTEGER(KIND=4) :: X(LEN)
              INTEGER(KIND=4) :: CTR(JMAX+1)
            END SUBROUTINE IRDSWM
          END INTERFACE 
        END MODULE IRDSWM_mod
